commit:     0c486c2110bfdabae958216fa25fbcd7a2f24868
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Mon Mar  5 05:51:44 2018 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Mon Mar  5 05:51:44 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c486c21

dev-ruby/http-form_data: add 2.1.0

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-ruby/http-form_data/Manifest                   |  1 +
 .../http-form_data/http-form_data-2.1.0.ebuild     | 24 ++++++++++++++++++++++
 2 files changed, 25 insertions(+)

diff --git a/dev-ruby/http-form_data/Manifest b/dev-ruby/http-form_data/Manifest
index fa49339129f..46e5202215a 100644
--- a/dev-ruby/http-form_data/Manifest
+++ b/dev-ruby/http-form_data/Manifest
@@ -1,2 +1,3 @@
 DIST http-form_data-1.0.3.gem 14336 BLAKE2B 
f58410dfa309fbec55e97f5bd10e56a7be0d915a0e87d4873c66a2d0f112552450424fe3a54529bc77e8bfbd5ac019f9ec231881d48942eaf55725d618203d56
 SHA512 
6e438a1c0c56116555737785d9b0b624f2cbee010146d0683c94e72473ed6f8a872c2ecbd878bc71f4aa378ebcd820d2743e0f6236778b65aad99c14e9c79fdf
 DIST http-form_data-2.0.0.gem 16384 BLAKE2B 
813fb1d14074304786fbdb954141f914859b3898280f31fd6f205b38b32041ffae07d4ce790e6563a33a9d2cb09ab0427b46e5708f4c11d708356f61d7e905bd
 SHA512 
2abb3742da142bfca5ad216140ad70493885ddceb258c7af1e14fec57172bdc976646e90de4b3d51c3af7eebb5d820771cba7d7a1798100ceb3c696c971d5ba8
+DIST http-form_data-2.1.0.gem 16384 BLAKE2B 
7ea011ae83e6d5caedf127e55dd2ba4539e4c0d58a2182b7331b1aa1eba9d7e1886fce3d2fcab6d2b5fcb8ebbf56cc9bc3dafee5050238b4d765eb9238c10ff8
 SHA512 
ec01035d7bced9ad624019ae5d1290becabcb35670cba52b450f379aac3cc68b3c12ef0128930022e75d3c4de430e8595af0733dcce4a4a531898722fb0d34c3

diff --git a/dev-ruby/http-form_data/http-form_data-2.1.0.ebuild 
b/dev-ruby/http-form_data/http-form_data-2.1.0.ebuild
new file mode 100644
index 00000000000..b2dd0dac9cc
--- /dev/null
+++ b/dev-ruby/http-form_data/http-form_data-2.1.0.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Utility-belt to build form data request bodies"
+HOMEPAGE="https://github.com/httprb/form_data.rb";
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+all_ruby_prepare() {
+       sed -i -e '/simplecov/,/SimpleCov.start/ s:^:#:' spec/spec_helper.rb || 
die
+}

Reply via email to